=== debian/control ===
Source: xen
Priority: optional
Maintainer: Debian Xen Team <pkg-xen-devel@lists.alioth.debian.org>
Uploaders:
 Ian Jackson <iwj@xenproject.org>,
 Hans van Kranenburg <hans@knorrie.org>,
 Maximilian Engelhardt <maxi@daemonizer.de>,
Section: admin
Standards-Version: 4.7.2
Build-Depends:
   debhelper-compat (= 13),
   dh-exec,
   file,
   rdfind,
   lsb-release,
   flex, bison,
   python3-dev:any,
   libpython3-dev,
   dh-python,
   python3-setuptools,
   bcc [amd64],
   gcc-multilib [amd64],
   libext2fs-dev,
   iasl,
   seabios [amd64],
   libaio-dev,
   libfdt-dev [arm64],
   libglib2.0-dev,
   liblzma-dev,
   libncurses-dev,
   libpixman-1-dev,
   libyajl-dev,
   pkgconf,
   uuid-dev,
   zlib1g-dev,
   libzstd-dev,
   pandoc,
   ocaml,
   ocaml-findlib,
Homepage: https://xenproject.org/
Vcs-Browser: https://salsa.debian.org/xen-team/debian-xen
Vcs-Git: https://salsa.debian.org/xen-team/debian-xen.git
Rules-Requires-Root: no

Package: xenstore-utils
Architecture: amd64 arm64
Section: admin
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: xen-doc
Description: Xenstore command line utilities for Xen
 This package contains command line utilities for interacting with
 XenStore.
 .
 XenStore is a shared database used for interdomain communication of
 configuration and status information.  It is accessible to all domains
 running on the same Xen host.  See https://wiki.xen.org/wiki/XenStore for
 more information.
 .
 In the common case these tools are used by the Xen toolstack running in
 domain0 (or a driver domain) however they may also be used in a guest
 domain to support local scripting which wants to communicate via XenStore.

Package: xen-utils-common
Section: admin
Architecture: amd64 arm64
Depends: udev, xenstore-utils,
    ${shlibs:Depends}, ${python3:Depends}, ${misc:Depends}
Replaces: xenstore-utils (<< 4.19.0+14-g0918434e0f-1~)
Breaks: xenstore-utils (<< 4.19.0+14-g0918434e0f-1~)
Suggests: xen-doc
Description: Xen administrative tools - common files
 The userspace tools to manage a system virtualized through the Xen virtual
 machine monitor.
 .
 This package is only required on the host system (Domain 0) and not on the
 virtual guest systems (Domain U).

Package: xen-hypervisor-common
Section: kernel
Architecture: amd64 arm64
Depends: ${misc:Depends}
Description: Xen Hypervisor - common files
 The configuration which arranges for an installed hypervisor to be booted
 as default, with the right command line arguments passed to both
 hypervisor and host (Domain 0) kernel.
 .
 This package is only required on the host system (Domain 0) and not on the
 virtual guest systems (Domain U).

Package: xen-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Xen documentation
 Documentation for the Xen hypervisor and surrounding software,
 including descriptions of the hypercall interfaces and of some
 of the library APIs.
 .
 You do not need this package for the primary manpages for the
 Xen control utilities, as those are in the xen-utils-common package.

Package: xen-utils-4.20
Section: admin
Architecture: amd64 arm64
Provides: xen-utils
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}, xen-utils-common (>= ${source:Version})
Recommends: bridge-utils, xen-hypervisor-4.20, qemu-system-xen [amd64], grub-xen-host [amd64]
Suggests: qemu-utils [amd64], seabios [amd64], ovmf
Description: Xen administrative tools
 The userspace tools to manage a system virtualized through the Xen virtual
 machine monitor.
 .
 qemu-utils and seabios are needed for "Xen HVM" (amd64)
Built-Using: ${misc:Built-Using}

Package: xen-utils-4.20-dbg
Section: debug
Architecture: amd64 arm64
Priority: optional
Depends: xen-utils-4.20 (= ${binary:Version}), ${misc:Depends}
Description: debug symbols for xen-utils-4.20
 This package provides debug symbols for the xen-utils binaries as well as
 detached debug symbols for the `shim' used for booting PV guests in an HVM
 container.

Package: xen-hypervisor-4.20-amd64
Section: kernel
Architecture: amd64
Provides: xen-hypervisor, xen-hypervisor-4.20, xen-hypervisor-amd64
Depends: ${misc:Depends}
Recommends: xen-utils-4.20, xen-hypervisor-common
Description: Xen Hypervisor on AMD64
 The hypervisor is the "core" for Xen itself.  It gets started by the boot
 loader and controls cpu and memory, sharing them between your
 administrative domain (Domain 0) and the virtual guest systems.

Package: xen-hypervisor-4.20-amd64-dbg
Section: debug
Architecture: amd64
Priority: optional
Depends: xen-hypervisor-4.20-amd64 (= ${binary:Version}), ${misc:Depends}
Description: debug symbols for Xen Hypervisor on AMD64
 This package provides the detached debug symbols for the Xen hypervisor.

Package: xen-system-amd64
Section: admin
Architecture: amd64
Provides: xen-system
Depends: xen-hypervisor-4.20-amd64, xen-hypervisor-common, xen-utils-4.20, ${misc:Depends}
Description: Xen System on AMD64 (metapackage)
 This package depends on the latest Xen hypervisor for use on AMD64 and the
 Xen utils.

Package: xen-hypervisor-4.20-arm64
Section: kernel
Architecture: arm64
Provides: xen-hypervisor, xen-hypervisor-4.20, xen-hypervisor-arm64
Depends: ${misc:Depends}
Recommends: xen-utils-4.20, xen-hypervisor-common
Description: Xen Hypervisor on ARM64
 The hypervisor is the "core" for Xen itself.  It gets started by the boot
 loader and controls cpu and memory, sharing them between your
 administrative domain (Domain 0) and the virtual guest systems.

Package: xen-hypervisor-4.20-arm64-dbg
Section: debug
Architecture: arm64
Priority: optional
Depends: xen-hypervisor-4.20-arm64 (= ${binary:Version}), ${misc:Depends}
Description: debug symbols for Xen Hypervisor on ARM64
 This package provides the detached debug symbols for the Xen hypervisor.

Package: xen-system-arm64
Section: admin
Architecture: arm64
Provides: xen-system
Depends: xen-hypervisor-4.20-arm64, xen-hypervisor-common, xen-utils-4.20, ${misc:Depends}
Description: Xen System on ARM64 (metapackage)
 This package depends on the latest Xen hypervisor for use on ARM64 and the
 Xen utils.

Package: libxen-dev
Section: libdevel
Architecture: amd64 arm64
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends},
	 libxenmisc4.20 (= ${binary:Version}),
	 libxencall1 (= ${binary:Version}),
	 libxendevicemodel1 (= ${binary:Version}),
	 libxenevtchn1 (= ${binary:Version}),
	 libxenforeignmemory1 (= ${binary:Version}),
	 libxengnttab1 (= ${binary:Version}),
	 libxenstore4 (= ${binary:Version}),
	 libxentoolcore1 (= ${binary:Version}),
	 libxentoollog1 (= ${binary:Version}),
	 libxenhypfs1 (= ${binary:Version}),
Description: Public headers and libs for Xen
 This package contains the public headers and static libraries for Xen.
 .
 The libxenlight library is intended as a common base for all Xen toolstack
 developers.  The libxlutil library contains additional helpers which may
 be useful to toolstack developers.
 .
 The libxenstore library allows userspace processes to interact with
 the XenStore database.  Command line tools for accessing xenstore are
 provided is via the xenstore-utils package.
 .
 Most of the other included libraries are internal, and intended for
 use by the Xen toolstack, rather than directly.

Package: libxenmisc4.20
Section: libs
Architecture: amd64 arm64
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Xen runtime libraries - miscellaneous, versioned ABI
 Shared libraries for Xen utilities.
 This package contains libraries whose ABI changes with each
 new upstream Xen release, which include ones which embed
 knowledge of hypervisor-version-specific hypercall ABIs.
Multi-Arch: same

Package: libxencall1
Provides: libxencall1t64 (= ${binary:Version})
Replaces: libxencall1t64
Breaks: libxencall1t64 (<< ${source:Version})
Section: libs
Architecture: amd64 arm64
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Xen runtime library - libxencall
 Shared library for Xen utilities.
Multi-Arch: same

Package: libxendevicemodel1
Provides: libxendevicemodel1t64 (= ${binary:Version})
Replaces: libxendevicemodel1t64
Breaks: libxendevicemodel1t64 (<< ${source:Version})
Section: libs
Architecture: amd64 arm64
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Xen runtime libraries - libxendevicemodel
 Shared library for Xen utilities.
Multi-Arch: same

Package: libxenevtchn1
Provides: libxenevtchn1t64 (= ${binary:Version})
Replaces: libxenevtchn1t64
Breaks: libxenevtchn1t64 (<< ${source:Version})
Section: libs
Architecture: amd64 arm64
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Xen runtime libraries - libxenevtchn
 Shared library for Xen utilities.
Multi-Arch: same

Package: libxenforeignmemory1
Provides: libxenforeignmemory1t64 (= ${binary:Version})
Replaces: libxenforeignmemory1t64
Breaks: libxenforeignmemory1t64 (<< ${source:Version})
Section: libs
Architecture: amd64 arm64
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Xen runtime libraries - libxenforeignmemory
 Shared library for Xen utilities.
Multi-Arch: same

Package: libxengnttab1
Provides: libxengnttab1t64 (= ${binary:Version})
Replaces: libxengnttab1t64
Breaks: libxengnttab1t64 (<< ${source:Version})
Section: libs
Architecture: amd64 arm64
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Xen runtime libraries - libxengnttab
 Shared library for Xen utilities.
Multi-Arch: same

Package: libxenstore4
Provides: libxenstore4t64 (= ${binary:Version})
Replaces: libxenstore4t64
Breaks: libxenstore4t64 (<< ${source:Version})
Section: libs
Architecture: amd64 arm64
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Xen runtime libraries - libxenstore
 Shared library for Xen utilities.
Multi-Arch: same

Package: libxentoolcore1
Provides: libxentoolcore1t64 (= ${binary:Version})
Replaces: libxentoolcore1t64
Breaks: libxentoolcore1t64 (<< ${source:Version})
Section: libs
Architecture: amd64 arm64
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Xen runtime libraries - libxentoolcore
 Shared library for Xen utilities.
Multi-Arch: same

Package: libxentoollog1
Provides: libxentoollog1t64 (= ${binary:Version})
Replaces: libxentoollog1t64
Breaks: libxentoollog1t64 (<< ${source:Version})
Section: libs
Architecture: amd64 arm64
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Xen runtime libraries - libxentoollog
 Shared library for Xen utilities.
Multi-Arch: same

Package: libxenhypfs1
Provides: libxenhypfs1t64 (= ${binary:Version})
Replaces: libxenhypfs1t64
Breaks: libxenhypfs1t64 (<< ${source:Version})
Section: libs
Architecture: amd64 arm64
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Xen runtime library - libxenhypfs
 Shared library for Xen utilities.
Multi-Arch: same
